class bouncer(ygTransform):
	def __init__(self):
		self.height = 8
		self.speed = 0
		self.gravity = 2
	def app(self):
		self.speed -= self.gravity * ygdrasil.frameDeltaTime()
		self.height += self.speed * ygdrasil.frameDeltaTime()
		if (self.height < 0):
			self.height = -self.height
			self.speed = -self.speed
			self.eventOccurred('bounce')
		self.setPosition(0,0,self.height)
